<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia - Gestion des pays depuis le back office                              */
/*                                                                                   */
/*      Copyright (c) 2009-2001, Franck Allimant, CQFDev                             */
/*		email : contact@cqfdev.fr		        	                             	 */
/*      web : http://www.cqfdev.fr                                                	 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/


include_once(realpath(dirname(__file__)) . "/Gestionpays.class.php");

// Prise en compte Thelia 1.4.0
@include_once(realpath(dirname(__FILE__)) . "/../../../fonctions/authplugins.php");
@include_once(realpath(dirname(__FILE__)) . "/../../../classes/CacheBase.class.php");

if (function_exists('autorisation'))
{
	autorisation(Gestionpays::MODULE);
}

include_once(realpath(dirname(__FILE__)) . "/../../../classes/Lang.class.php");

include_once(realpath(dirname(__FILE__)) . "/PaysCorrige.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Paysdesc.class.php");

class AdmGestionpays extends Gestionpays
{
	function AdmGestionpays()
	{
		parent::Gestionpays();
	}

	function ajouter()
	{
	}

	function supprimer()
	{
		$id = intval($_REQUEST['pays']);

		mysql_query("delete from pays where id=$id");
		mysql_query("delete from paysdesc where pays=$id");
	}

	function edition()
	{
		$id = intval($_REQUEST['pays']);

		$maj = ($id > 0);

	  	$pays = new PaysCorrige();

	  	if ($maj)
	  		$pays->charger($id);
	  	else
	  	{
	  		$pays->lang = 0;
	  		$pays->default = 0;
	  	}

	  	$pays->tva = intval($_REQUEST['tva']) != 0 ? 1 : 0;
	  	$pays->zone = intval($_REQUEST['zone']);

	  	if ($maj)
	  		$pays->maj();
	  	else
	  		$id = $pays->add();

		if ($id > 0)
		{
			foreach($_REQUEST['langue'] as $langue)
			{
			  	$paysdesc = new Paysdesc();

			  	if ($maj) $paysdesc->charger($id, $langue);

			  	$paysdesc->pays = $id;
			  	$paysdesc->lang = $langue;
			  	$paysdesc->titre = $_REQUEST['titre'][$langue];
			  	$paysdesc->chapo = $_REQUEST['chapo'][$langue];
			  	$paysdesc->description = $_REQUEST['description'][$langue];

			  	if ($maj)
			  		$paysdesc->maj();
			  	else
			  		$paysdesc->add();
			}
		}
	}

	function prepare_page()
	{
	}
}

$adm = new AdmGestionpays();

$commande = $_REQUEST['commande'];

switch($commande)
{
        case 'edition' :
            $adm->edition();
        break;

        case 'supprimer' :
            $adm->supprimer();
        break;
}

$adm->prepare_page();
?>
<script type="text/javascript" src="../lib/jquery/jquery.js"></script>
<script type="text/javascript">

	var ajaxurl = '../client/plugins/<?php echo Gestionpays::MODULE ?>/ajax.php';

	function supprimer_pays(id)
	{
		if (confirm("Supprimer dfinitivement ce pays ?"))
		{
			$('#commande').val('supprimer');
			$('#pays').val(id);
			$('#offset').val($('#scroller').scrollTop());

			$('#<?php echo Gestionpays::PREFIXE ?>form').submit();
		}

		return false;
	}

	function change_tva(id)
	{
		jQuery.ajax({
			url: ajaxurl,
			type:'POST',
			data: { action: 'tva', pays: id, tva: ($('input[name=tva-'+id+']').attr('checked') ? '1' : '0') },
			async: false
		})
	}

	function defaut(id)
	{
		jQuery.ajax({
			url: ajaxurl,
			type:'POST',
			data: { action: 'defaut', pays: id },
			async: false
		})
	}

	function nouveau()
	{
		$('.bloc_modif_pays').hide();
		$('.bloc_load_pays').show();

		$('.bloc_modif_pays').load(ajaxurl, {}, function() {
			$('.bloc_load_pays').hide();
			$('.bloc_modif_pays').show();
		});
	}

	function modifier(id, link)
	{
		$('.bloc_modif_pays').hide();
		$('.bloc_load_pays').show();

		$('.bloc_modif_pays').load(ajaxurl, {pays: id, offset: $('#scroller').scrollTop()}, function() {
			$('.bloc_load_pays').hide();
			$('.bloc_modif_pays').show();
		});
	}

	$(document).ready(function() {

		// Scroller vers le dernier element modifi/supprime
		<?php if (isset($_REQUEST['offset'])) { ?>
		$('#scroller').scrollTop(<?php echo $_REQUEST['offset'] ?>);
		<?php } ?>
	});

</script>

<style type="text/css">
	#contenu_int table th {
		height: 30px;
		font-weight: bold;
	}
</style>

<div id="contenu_int">
	<p>
		<a class="lien04" href="accueil.php">Accueil</a>
		<img width="12" height="9" border="0" src="gfx/suivant.gif"><a class="lien04" href="module_liste.php">Modules</a>
		<img width="12" height="9" border="0" src="gfx/suivant.gif"><a class="lien04" href="module.php?nom=<?php echo Gestionpays::MODULE ?>"><?php echo Gestionpays::NOMMODULE ?> v<?php echo Gestionpays::VERSION ?></a>
	</p>

	<div id="bloc_description" class="bloc_liste_pays" style="width: 49%; float: left;">

		<div class="entete_liste">
			<div class="titre">GESTION DES PAYS</div>
			<div class="fonction_ajout"><a href="#" onclick="nouveau(); return false;">NOUVEAU</a></div>
		</div>

		<div id="scroller" style="height: 571px; overflow-y: scroll; overflox-x: hidden">
	        <form method="post" action="module.php" id="<?php echo Gestionpays::PREFIXE ?>form">

		        <input type="hidden" name="nom" value="<?php echo Gestionpays::MODULE ?>" />
		        <input type="hidden" name="commande" id="commande" value="" />
		        <input type="hidden" name="pays" id="pays" value="" />
		        <input type="hidden" name="offset" id="offset" value="0" />

				<table width="100%">
					<tr>
						<th>ID</th>
						<th>Nom</th>
						<th style="text-align: center;">Soumis  TVA</th>
						<th style="text-align: center;">Dfaut</th>
						<th>&nbsp;</th>
						<th>Suppr.</th>
					</tr>
					<?php
					$query = "SELECT *,p.id as id_pays FROM pays p left join paysdesc pd on pd.pays = p.id where pd.lang=1 order by pd.titre";

					$result = mysql_query($query);

					$style = 'fonce';

					while ($result && $row = mysql_fetch_object($result))
					{
						?>
						<tr class="<?php echo $style ?>">
							<td style="padding-right: 5px;text-align: right;"><?php echo $row->id_pays ?></td>
							<td><?php echo $row->titre ?></td>
							<td style="text-align: center;"><input type="checkbox" name="tva-<?php echo($row->id_pays); ?>" value="1" <?php echo $row->tva ? 'checked="checked"' : '' ?> onclick="change_tva(<?php echo($row->id_pays); ?>);" /></td>
							<td style="text-align: center;"><input type="radio" name="default" value="<?php echo($row->id_pays); ?>" <?php echo $row->default ? 'checked="checked"' : '' ?> onclick="defaut(<?php echo($row->id_pays); ?>);" /></td>
							<td><a href="#" onclick="modifier(<?php echo($row->id_pays); ?>, $(this)); return false;">editer</a></td>
							<td style="text-align: center;"><a href="#" onclick="return supprimer_pays(<?php echo($row->id_pays); ?>)"><img src="gfx/supprimer.gif" width="9" height="9" border="0" /></a></td>
						</tr>
						<?php

						$style = $style == 'fonce' ? 'claire' : 'fonce';
					}
					?>
				</table>
			</form>
		</div>
	</div>

	<div id="bloc_description" class="bloc_load_pays" style="width: 49%; float: right; position: relative; display: none;">
		<div class="entete">
		  <div class="titre">Chargement en cours...</div>
		</div>
	</div>

	<div id="bloc_description" class="bloc_modif_pays" style="width: 49%; float: right; position: relative;">
	</div>

	<div style="clear: both"></div>
	<p style="margin-top: 30px;color:#505050;font-size:9px;text-align:left;">Plugin Thelia ralis par <a href="http://www.cqfdev.fr" target="_blank">Franck Allimant / CQFDev</a>. Contact: <a href="http://www.cqfdev.fr" target="_blank">www.cqfdev.fr</a> - +33(0)6.62.38.28.69</p>
</div>
